Bug 178386 - text mode codepage error?
text mode codepage error?
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-19 18:00 EST by Han-Wen Nienhuys
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-24 13:26:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Han-Wen Nienhuys 2006-01-19 18:00:54 EST
Description of problem:

Hi, 

upgrading FC4 to FC5t2 in text mode. All dialog windows look strange, as if the
wrong character set was selected. The first window (check media) is OK, the rest
of them are strange: there are no borders, and the window titles are adorned
with ^J (J with hat) and a black box.   

This on a thinkpad a21m
Comment 1 Thomas M Steenholdt 2006-01-20 04:11:06 EST
Same on a completely different x86 box... Probably something to do with ncurses
or something
Comment 2 Chris Lumens 2006-01-23 15:43:25 EST
What language are you installing in?  Did you add a lang= to the boot
parameters?  Also try booting with the nofb option.
Comment 3 Han-Wen Nienhuys 2006-01-23 16:06:37 EST
Language=English. No lang= parameter. Trying nofb option now.
Comment 4 Han-Wen Nienhuys 2006-01-23 16:09:59 EST
Hi, 

nofb doesn't change anything. The problems starts before the language selection;
the "Welcome to Fedora Core" already is wrong
Comment 5 Dave Burgess 2006-01-23 18:53:11 EST
This also happens during a clean install of Core 5 Test 2.

With a nVidia GeForce 6600 GT and an Optiquest V95 Monitor.

x86_64 bit architechure.
Comment 6 Chris Lumens 2006-01-24 10:29:39 EST
Are you both doing HTTP or FTP installs?  I'm able to reproduce it like that.
Comment 7 Han-Wen Nienhuys 2006-01-24 10:38:50 EST
CD install.
Comment 8 Thomas M Steenholdt 2006-01-24 11:57:48 EST
I'm doing FTP install from boot.iso with "linux text"

Didn't try CD or DVD installs for FC5test2
Comment 9 Thomas M Steenholdt 2006-01-24 14:45:33 EST
Pardon my curiosity, but what caused the problem?
Comment 10 Chris Lumens 2006-01-24 16:11:56 EST
We use dietlibc instead of the full libc on these network install images to keep
the size down.  This includes some stubs of utf-8 related functions to trick our
interface into working correctly.  We weren't stubbing out enough functions, so
consequently something in the interface was calling a function that didn't exist
and resulting in the junk you were seeing on the screen.
Comment 11 Thomas M Steenholdt 2006-01-24 17:25:34 EST
makes sense - thanks for the update

Note You need to log in before you can comment on or make changes to this bug.